<p-dataView
  #dv
  (onLazyLoad)="loadDataEmit($event)"
  [lazy]="true"
  [paginator]="true"
  [rows]="pageSize"
  [totalRecords]="countOfPages"
  [value]="auctionCards"
  filterBy="name"
  layout="grid"
>
  <ng-template let-product pTemplate="gridItem">
    <app-auction-item [ych]='product'></app-auction-item>
  </ng-template>
</p-dataView>
